| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Public Types | Public Member Functions | List of all members
LicenseSpring::InstallationFile Class Reference

Class that represents information on product installation file. More...

`#include <LicenseSpring/InstallationFile.h>`

## Public Types
using | ptr_t = std::shared_ptr< InstallationFile >

## Public Member Functions
| InstallationFile ()
| Default constructor, creates empty installation file. More...
| InstallationFile (const std::string &url, const std::string &version, const std::string &requiredVersion, const std::string &md5hash, const std::string &releaseDate, const std::string &environment, const std::string &eulaLink, const std::string &releaseNotesLink, const std::string &channel, uint64_t size)
| Constructs InstallationFile with given data. More...
const std::string & | url () const
| Getter method for setup file URL. More...
const std::string & | version () const
| Getter method for setup file version. More...
const std::string & | requiredVersion () const
| Getter method for setup file required version. More...
const std::string & | md5Hash () const
| Getter method for setup file MD5 hash. More...
const std::string & | releaseDate () const
| Getter method for setup file release date. More...
const std::string & | environment () const
| Getter method for setup file environment. More...
const std::string & | eulaLink () const
| Getter method for setup file End-User License Agreement link. More...
const std::string & | releaseNotesLink () const
| Getter method for setup file release notes link. More...
const std::string & | channel () const
| Getter method for setup file channel. More...
uint64_t | size () const
| Getter method for setup file size. More...

## Detailed Description

Class that represents information on product installation file.

Holds information on product installer or setup file or whatever uploaded to the backend using LicenseSpring platform (see Configure Products -> Product Versions) or Management API.

Definition at line 51 of file InstallationFile.h.

## Member Typedef Documentation

## ◆ ptr_t

using LicenseSpring::InstallationFile::ptr_t = std::shared_ptr<InstallationFile>

Definition at line 54 of file InstallationFile.h.

## Constructor & Destructor Documentation

## ◆ InstallationFile() [1/2]

LicenseSpring::InstallationFile::InstallationFile | ( |  | ) |
| inline

Default constructor, creates empty installation file.

Definition at line 57 of file InstallationFile.h.

## ◆ InstallationFile() [2/2]

LicenseSpring::InstallationFile::InstallationFile | ( | const std::string & | url,
|  | const std::string & | version,
|  | const std::string & | requiredVersion,
|  | const std::string & | md5hash,
|  | const std::string & | releaseDate,
|  | const std::string & | environment,
|  | const std::string & | eulaLink,
|  | const std::string & | releaseNotesLink,
|  | const std::string & | channel,
|  | uint64_t | size
| ) |  |
| inline

Constructs InstallationFile with given data.

Parameters

  url | URL for installation file
  version | Version of installation file
  requiredVersion | Required version to install files
  md5hash | MD5 hash for the installation file
  releaseDate | Release date of installation file
  environment | Environment for installation file
  eulaLink | End-User License Agreement for installation file
  releaseNotesLink | Link to release notes
  channel | Channel from where installation file should be requested
  size | Size of installation file

Definition at line 70 of file InstallationFile.h.

## Member Function Documentation

## ◆ url()

const std::string& LicenseSpring::InstallationFile::url | ( |  | ) | const
| inline

Getter method for setup file URL.

Returns
  InstallationFile URL.

Definition at line 89 of file InstallationFile.h.

## ◆ version()

const std::string& LicenseSpring::InstallationFile::version | ( |  | ) | const
| inline

Getter method for setup file version.

Returns
  InstallationFile version.

Definition at line 93 of file InstallationFile.h.

## ◆ requiredVersion()

const std::string& LicenseSpring::InstallationFile::requiredVersion | ( |  | ) | const
| inline

Getter method for setup file required version.

This functionality allows you implement intermediate updates.

Returns
  app version that is required to install this InstallationFile.

Definition at line 98 of file InstallationFile.h.

## ◆ md5Hash()

const std::string& LicenseSpring::InstallationFile::md5Hash | ( |  | ) | const
| inline

Getter method for setup file MD5 hash.

Returns
  InstallationFile hash.

Definition at line 102 of file InstallationFile.h.

## ◆ releaseDate()

const std::string& LicenseSpring::InstallationFile::releaseDate | ( |  | ) | const
| inline

Getter method for setup file release date.

Returns
  InstallationFile rlease date in format Y-m-d.

Definition at line 106 of file InstallationFile.h.

## ◆ environment()

const std::string& LicenseSpring::InstallationFile::environment | ( |  | ) | const
| inline

Getter method for setup file environment.

Returns
  InstallationFile environment.

Definition at line 110 of file InstallationFile.h.

## ◆ eulaLink()

const std::string& LicenseSpring::InstallationFile::eulaLink | ( |  | ) | const
| inline

Getter method for setup file End-User License Agreement link.

Returns
  InstallationFile End-User License Agreement link.

Definition at line 114 of file InstallationFile.h.

## ◆ releaseNotesLink()

const std::string& LicenseSpring::InstallationFile::releaseNotesLink | ( |  | ) | const
| inline

Getter method for setup file release notes link.

Returns
  InstallationFile release notes link.

Definition at line 118 of file InstallationFile.h.

## ◆ channel()

const std::string& LicenseSpring::InstallationFile::channel | ( |  | ) | const
| inline

Getter method for setup file channel.

Returns
  InstallationFile channel.

Definition at line 122 of file InstallationFile.h.

## ◆ size()

uint64_t LicenseSpring::InstallationFile::size | ( |  | ) | const
| inline

Getter method for setup file size.

Returns
  InstallationFile size in bytes.

Definition at line 126 of file InstallationFile.h.

The documentation for this class was generated from the following file:

- LicenseSpring/InstallationFile.h